Subject: Re: bug#25766: aspell problem in LaTeX mode

From: Bob Alice <[email-masked]>
Date: Fri, 17 Feb 2017 16:21:11 +0000

Note: I removed \autoref{alice}. It wasn't necessary. New file is:

\caption{5\% \label{_fred}}
envolope

Debugger gives:
ispell-region: string pos (29->37), eol: 37, [in-comment]: [nil],
[add-comment]: [nil], [string]: [^envolope

Running:
/usr/bin/aspell -a -m -d en --encoding=utf-8

Inputting:
^envolope

Output:
& envolope 7 1: envelope, enveloper, envelop, enveloped, envelopes,
envelops, envelope's

This output looks sensible, but the spelling options do not appear in the
emacs buffer.

On 17 February 2017 at 13:29, Eli Zaretskii <[email-masked]> wrote:

>
> [Please keep the bug address, [email-masked], on the CC list.]
>
> > From: Bob Alice <[email-masked]>
> > Date: Fri, 17 Feb 2017 10:53:44 +0000
> >
> > It doesn't work. I tried:
> > while((1));do ps -Alf|grep aspell >>results; done
> >
> > but the only thing I get is:
> > 0 S meuser 4839 4828 0 80 0 - 8093 - 10:42 ? 00:00:00 /usr/bin/aspell -a
> -m -d en --encoding=utf-8
>
> This is all we need to know, so this did work.
>
> > It doesn't show me what's being passed to aspell even for text where it
> finds spelling errors.
>
> It isn't supposed to.
>
> Now invoke aspell from your shell prompt exactly as shown above, i.e.
>
>   /usr/bin/aspell -a -m -d en --encoding=utf-8
>
> Aspell will then wait for input from standard input.  Type the string
> you see in the ispell.el's debug buffer.  E.g., with hunspell, when I
> invoke the command ispell-buffer-with-debug on your LaTeX file, I see
> this in the ispell debug buffer:
>
>   ispell-region: string pos (29->53), eol: 53, [in-comment]: [nil],
> [add-comment]: [nil], [string]: [^\autoref{alice} envolope
> ]
>
> which tells me that the string it will pass to the speller is
> "^\autoref{alice} envolope" (without the quotes).  So type this string
> and hit [Enter].  Then see what aspell outputs in return.
>
> Once again, please CC the bug address so that this discussion gets
> recorded there.
>
> Thanks.
>